/* LOADER */
#loader {
  background-color: #fff;
  position: fixed;
  z-index: 9999;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: opacity 0.6s ease, visibility 0.6s ease;
}

#loader.hidden {
  opacity: 0;
  visibility: hidden;
}

#loader .dot {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  background-color: #111;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  transform-origin: center;
  animation: loader-growDot 2s ease-in-out forwards;
}

@keyframes loader-growDot {
  0% {
    transform: translate(-50%, -50%) scale(1);
  }
  100% {
    transform: translate(-50%, -50%) scale(150);
  }
}

@media (prefers-reduced-motion: reduce){
  #loader { transition: none; }
  #loader .dot { animation: none; }
}
